
namespace OASystem.Domain.Entities.System
{
    /// <summary>
    /// 数据类型表
    /// </summary>
    [SugarTable("Sys_SetDataType")]
    public class Sys_SetDataType:EntityBase
    {
        /// <summary>
        /// 类型名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Name { get; set; }
        /// <summary>
        /// 是否启用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsEnable { get; set; } = 1;
    }
    /// <summary>
    /// 数据表子类型
    /// </summary>
    [SugarTable("Sys_SetData")]
    public class Sys_SetData : EntityBase
    {
        /// <summary>
        /// 子类型名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Name { get; set; }
       
        /// <summary>
        /// Sys_SetDataType.id 数据类型表Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int STid { get; set; }

        
    }
}
